Issue 31884 - Update OOo Color Palette Chooser
Summary: Update OOo Color Palette Chooser
Status: CLOSED DUPLICATE of issue 7373
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: OOo 1.1.4
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: bettina.haberer
QA Contact: issues@framework
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2004-07-22 07:15 UTC by webmaster
Modified: 2008-05-17 23:37 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
A screenshot of KColorChooser (for what it should be like) (25.66 KB, image/png)
2004-07-22 07:17 UTC, webmaster
no flags Details
OOo Color Palette (16.81 KB, image/png)
2005-03-31 23:09 UTC, peschtra
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description webmaster 2004-07-22 07:15:01 UTC
One aspect of OpenOffice.org that is extremely tedious and deterring is it's
colour palette, which is extremely awkward to use. I think it would be better to
have a standard RGB/HUE/SAT/etc color selection tool, as is part of most
graphics programs (see screenshot attached of the RGB colour palette). This will
make OOo much easier to use, rather than having to find the colour, add it to
the palette, and then use it.

Thankyou in advance.
Comment 1 webmaster 2004-07-22 07:17:24 UTC
Created attachment 16670 [details]
A screenshot of KColorChooser (for what it should be like)
Comment 2 jack.warchold 2004-08-13 13:26:00 UTC
reassigned to bh
Comment 3 webmaster 2004-10-30 07:56:46 UTC
Can this please happen soon, before it is too late to be in OOo 2.0. I
personally think this is a necessity.

Thankyou
Comment 4 webmaster 2005-01-27 21:48:04 UTC
Is this in the running for being fixed soon? I think it is a necessity! People
who are migrating to OOo from MS Office will find the changeover MUCH worse if
they *CANNOT* choose the color they want, rather they have to wander around for
ages trying to create a new color.

Why can not it be like KColorChooser, or MS Office, or KOffice or *even* Abiword.

OpenOffice is the only Office Suite that I know that is using a deprecated and
hard to use colour select system! 

It should definately be updated BEFORE OOo 2.0. So PLEASE update it!!!
Comment 5 aparan 2005-01-28 05:33:18 UTC
I completely agree with the comments from 'computerdork'.  It is much needed and
would be really put the user to some ease in picking the colors he needs.
Comment 6 webmaster 2005-02-06 08:00:01 UTC
PLEASE -> It would not even take that much work, since it could simply use the
colour select tool that I just found in relation to 3D objects.

Again, I *must* stress just how  important this feature enhancement is.

Please include it in OpenOffice.org 2.0.

Matthew.
Comment 7 peschtra 2005-03-31 23:08:41 UTC
The deadline for new features in 2.0 is past us now. Perhaps if not fixed, maybe
2.1.

But, look at *Tools > Options > OpenOffice.org > Colors*, then click on edit. I
see the ss above, that I have attached. I think this what you were asking for.
But, maybe not, because it was in the same place in 1.1.4.

Marking as closed, works for me. If I am wrong, please reopen the issue and
explain further.
Comment 8 peschtra 2005-03-31 23:09:12 UTC
Created attachment 24485 [details]
OOo Color Palette
Comment 9 peschtra 2005-03-31 23:10:06 UTC
.
Comment 10 webmaster 2005-04-02 10:33:43 UTC
Whilst this is almost what I believe is required, it is in the wrong place.

It is *difficult* to add new colours, esp. if you only want to use a colour once
- instead of a simple dialogue like that opening from a button saying "New
Colour" at the bottom of the drop down colour menus, or something like that, you
have to go into Options -> Tools -> Colour -> Edit -> Save as a name -> Apply
colour.

It should be: Drop down colour menu (such as font color) -> New colour -> Apply
(no need to specify a name), and then it should record the last 10 or so colours
you have used (as well as standard palette).

Sorry for my lack of clarity earlier
Comment 11 webmaster 2005-04-19 23:13:37 UTC
Anything happening here?

Kind Regards,
Matthew
Comment 12 webmaster 2005-10-19 04:56:53 UTC
Please, if at all possible, set this to be incorporated in OOo 2.0.1 (probably
too late to start thinking about it now), or at least OOo 2.0.2.

Kind Regards,
Matthew
Comment 13 Olaf Felka 2005-10-20 08:26:22 UTC
@ computerdork: Please don't change the 'Version' field. It's important that we
know in which version you've found your issue. If it hasn't been fixed in any
version it will also happen in the newest or 'current' version'
Comment 14 webmaster 2005-10-22 00:06:21 UTC
Sorry - I thought that it should show the latest version where this issue was found.

My mistake.

Kind Regards, Matthew
Comment 15 webmaster 2006-03-17 06:24:51 UTC
Greetings all,

With the hype and excitement building up to OOo 2.0, this issue was backbenched,
despite its importance in terms of usability. Some of the people I have
introduced to OpenOffice.org immediately notice the lack of colour selection -
and express annoyance at the fact that they must enter Tools -> Options ->
Colors in order to do what an MS Office or Abiword user would have done as a
simple custom colour.

*Please* add this functionality soon.

Kind Regards,
Matthew
Comment 16 lars 2006-03-17 16:34:48 UTC
see issue 7373 where on a redesign of the color picker is worked on.

*** This issue has been marked as a duplicate of 7373 ***
Comment 17 carlos_zuniga 2006-11-29 13:03:22 UTC
Also, there's no way (at least no obvious way) to create a new color palette.
All i can do is add/remove colors from a existing one and open another...

I had to make a copy of a color palette file to create a new one... and then i
modified it from a text editor because doing it from OOo is a real pain.

Hope this gets better, cheers
Comment 18 ace_dent 2008-05-17 21:34:12 UTC
The Issue you raised has been marked as 'Resolved' and not updated within the
last 1 year+. I am therefore setting this issue to 'Verified' as the first step
towards Closing it. If you feel this is incorrect, please re-open the issue and
add any comments.

Many thanks,
Andrew
 
Cleaning-up and Closing old Issues
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 19 ace_dent 2008-05-17 23:37:29 UTC
As per previous posting: Verified -> Closed.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew